@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap");

* {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    font-family: "Figtree", sans-serif;
    line-height: 160%;
}

.font-inter {
    font-family: "Inter", sans-serif;
}

.font-sans {
    font-family: "Figtree", sans-serif;
}

.font-serif {
    font-family: "Roslindale", serif;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: "Inter", sans-serif;
    line-height: 125%;
}

#home-cta-section {
    background-image: url("../images/banner.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom;
    background-attachment: fixed;
}

#destinations-cta-section {
    background-image: url("../images/banners/destinations.png");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom;
    background-attachment: fixed;
}

.category-card:hover .category-info {
    bottom: 0%;
}

.category-card:hover .category-info h3 {
    margin: 0% !important;
}

/* Blog View Content Styles */
.blog-view-content > section {
    margin-bottom: 2.25rem;
}

.blog-view-content > section > section {
    margin-top: 1.75rem;
}

.blog-view-content > section > section > section {
    margin-top: 1.15rem;
}

.blog-view-content section *,
.blog-view-content section td,
.blog-view-content section th {
    font-size: clamp(0.95rem, 1.5vw, 1rem);
}

.blog-view-content section figure p {
    margin-bottom: 0%;
}

.blog-view-content section img {
    aspect-ratio: 4/3;
    object-fit: cover;
    border-radius: 0.75rem;
    margin-top: 1.75rem;
    margin-bottom: 0.5rem;
}

.blog-view-content section figcaption {
    font-size: 0.75rem;
    font-style: italic;
    text-align: center;
    line-height: 1.15rem;
    margin-bottom: 0.5rem;
}

.blog-view-content section h2 {
    color: var(--color-accent);
    font-weight: 600 !important;
    font-size: 1.6rem;
    margin-bottom: 0.55rem;
}

.blog-view-content section h3 {
    color: var(--color-accent);
    font-weight: 600 !important;
    font-size: 1.275rem;
    margin-top: 1.5rem;
    margin-bottom: 0.35rem;
}

.blog-view-content section h4 {
    color: var(--color-accent);
    font-weight: 600 !important;
    font-size: 1rem;
    margin-bottom: 0.25rem;
}

.blog-view-content section p {
    text-align: justify;
    margin-bottom: 1.05rem;
}

.blog-view-content section p strong {
    font-weight: 600;
}

.blog-view-content section p a {
    /* text-decoration: underline; */
    font-weight: 500;
    padding-bottom: 0.175rem;
    color: var(--color-info);
    border-bottom: 0.5px solid var(--color-info);
}

.blog-view-content section ul {
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
    list-style: disc;
    padding-left: 1.25rem;
    margin-top: -0.4rem !important;
    margin-bottom: 1.5rem;
}

.blog-view-content section ul li {
    padding-left: 0.5rem;
}

.blog-view-content section ol {
    display: flex;
    flex-direction: column;
    gap: 0.3rem;
    list-style: number;
    padding-left: 1.25rem;
    margin-top: -0.4rem !important;
    margin-bottom: 1.5rem;
}

.blog-view-content section ol li {
    padding-left: 0.5rem;
}

.blog-view-content section .table {
    display: block;
    max-width: 88vw;
    overflow-x: auto;
    margin-top: 1rem;
}

.blog-view-content section table {
    width: 100%;
    min-width: max-content;
    border-radius: 0%;
    font-size: 0.85rem;
}

.blog-view-content section table th {
    background-color: hsl(0, 0%, 0%, 0.025);
    color: var(--color-base-content);
    font-family: "Inter";
    font-weight: 600;
}

.blog-view-content section table td,
.blog-view-content section table th {
    min-width: min-content;
    border: 1px solid var(--color-base-300);
}

.blog-view-content table th {
    padding: 0rem 1.25rem !important;
}

.blog-view-content table thead th {
    padding: 1rem 1.25rem !important;
}

.blog-view-content table td {
    border: 1px solid var(--color-base-300);
    padding: 0.45rem 1.25rem !important;
}

.table-of-content > ul {
    display: flex;
    flex-direction: column;
    gap: 0.75rem 0rem;
    font-size: 0.8rem;
    line-height: 160%;
    font-family: "Inter", sans-serif;
    color: var(--color-text-muted);
    border-left: 1px solid var(--color-base-300);
}

.table-of-content ul li {
    margin-left: 0% !important;
    display: flex;
    flex-direction: column;
    gap: 0.3rem 0rem;
}

.table-of-content ul li a {
    display: block;
    padding-left: 1.35rem !important;
    transition: all 100ms ease-in-out;
}

.table-of-content ul li a.active {
    color: var(--color-accent) !important;
    border-left: 1.75px solid var(--color-accent);
    font-weight: 500;
}

.table-of-content ul li ul {
    display: flex;
    flex-direction: column;
    gap: 0.4rem 0rem;
}

.table-of-content ul li a:hover {
    color: var(--color-accent) !important;
    border-left: 1.75px solid var(--color-accent);
    font-weight: 500;
}

.table-of-content ul li ul li a {
    display: block;
    padding-left: 2.75rem !important;
}
